Bug 162462 - Firefox is prevented from starting by a lockfile after a system or firefox crash
Firefox is prevented from starting by a lockfile after a system or firefox crash
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
massRequestForReproduction
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-05 04:26 EDT by Xander D Harkness
Modified: 2016-06-07 18:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 11:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xander D Harkness 2005-07-05 04:26:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
When the OS or firefox crashes firefox leaves a lock file that prevents firefox from starting.

This is an annoyance for me as it happens a couple of times a week; however for a 'normal' computer user it is unacceptable.  To expect a normal computer user to have the ability to delete a hidden file on a random path before they can use a web browser is unacceptable.

Version-Release number of selected component (if applicable):
firefox-1.0.4-1.4.1

How reproducible:
Always

Steps to Reproduce:
1.Open Firefox
2.Crash the OS either deliberately or wait for it to happen
3.Reboot and try to start Firefox
  

Actual Results:  Firefox fails to start with a message to say it is already running.  Please create a new profile and enter all your settings again.

Expected Results:  Firefox should start when requested.

Additional info:
Comment 1 Matěj Cepl 2008-02-08 15:42:40 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 2 Matěj Cepl 2008-02-29 19:00:02 EST
Still alive.
Comment 3 Martin Stransky 2008-05-13 11:10:03 EDT
It's fixed in the upcoming FF3 package for RHEL-4.7. Closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.